package net.northking.cctp.executePlan.dto.planEntrust;

import java.io.Serializable;

/**
 * <p>Title: AtuEntrustMsgDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/10
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuEntrustMsgDto extends AtuEntrustInfoDto implements Serializable {

    /**
     * 引擎IP
     */
    private String ip;

    /**
     * 引擎端口
     */
    private Integer port;

    /**
     * 委托次数
     */
    private Integer entrustNum = 0;

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Integer getEntrustNum() {
        return entrustNum;
    }

    public void setEntrustNum(Integer entrustNum) {
        this.entrustNum = entrustNum;
    }
}
